Loading...
Searching...
No Matches
fastjet::TrackJetPlugin Class Reference
Plugins for non-native jet definitions

Implementation of the TrackJet algorithm (plugin for fastjet v2.4 upwards). More...

`#include <fastjet/TrackJetPlugin.hh>`

Inheritance diagram for fastjet::TrackJetPlugin:
[legend]
Collaboration diagram for fastjet::TrackJetPlugin:
[legend]

## Public Member Functions

| TrackJetPlugin (double radius, RecombinationScheme jet_recombination_scheme=pt_scheme, RecombinationScheme track_recombination_scheme=pt_scheme)
| Main constructor for the TrackJet Plugin class.
| TrackJetPlugin (const TrackJetPlugin &plugin)
| copy constructor
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Implementation of the TrackJet algorithm (plugin for fastjet v2.4 upwards).

Definition at line 49 of file TrackJetPlugin.hh.

## Constructor & Destructor Documentation

## TrackJetPlugin() [1/2]

fastjet::TrackJetPlugin::TrackJetPlugin | ( | double | radius,
|  | RecombinationScheme | jet_recombination_scheme = pt_scheme,
|  | RecombinationScheme | track_recombination_scheme = pt_scheme )

inline

Main constructor for the TrackJet Plugin class.

The argument is an initialised list of jet algorithms

Parameters

  _radius | the distance at which point a particle is no longer recombied into the jet
  jet_recombination_scheme | the recombination scheme used to sum the 4-vecors inside the jet
  track_recombination_scheme | the recombination scheme used to sum the 4-vecors when accumulating track into a the jet Both recombiners are defaulted to pt_scheme recomb as for the Rivet implementation.

Definition at line 63 of file TrackJetPlugin.hh.

## TrackJetPlugin() [2/2]

fastjet::TrackJetPlugin::TrackJetPlugin | ( | const TrackJetPlugin & | plugin | ) |

inline

copy constructor

Definition at line 73 of file TrackJetPlugin.hh.

## Member Function Documentation

## description()

string fastjet::TrackJetPlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 93 of file TrackJetPlugin.cc.

## run_clustering()

void fastjet::TrackJetPlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 99 of file TrackJetPlugin.cc.

## R()

virtual double fastjet::TrackJetPlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list

Implements fastjet::JetDefinition::Plugin.

Definition at line 83 of file TrackJetPlugin.hh.

The documentation for this class was generated from the following files:

- plugins/TrackJet/fastjet/TrackJetPlugin.hh
- plugins/TrackJet/TrackJetPlugin.cc